Bug 1126128 - [abrt] rdiff-backup: rpath.py:1016:mkfifo:AssertionError
Summary: [abrt] rdiff-backup: rpath.py:1016:mkfifo:AssertionError
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: rdiff-backup
Version: 20
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Kevin Fenzi
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:c29cb75427ec19c7410308a7a34...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-08-02 05:04 UTC by Joel C
Modified: 2015-06-30 01:06 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-06-30 01:06:23 UTC


Attachments (Terms of Use)
File: backtrace (2.09 KB, text/plain)
2014-08-02 05:04 UTC, Joel C
no flags Details
File: environ (1.43 KB, text/plain)
2014-08-02 05:04 UTC, Joel C
no flags Details

Description Joel C 2014-08-02 05:04:41 UTC
Description of problem:
Trying to backup to CIFS mounted directory

Version-Release number of selected component:
rdiff-backup-1.2.8-11.fc20

Additional info:
reporter:       libreport-2.2.3
cmdline:        /usr/bin/python /usr/bin/rdiff-backup /home/jcampbell/ /backup/
executable:     /usr/bin/rdiff-backup
kernel:         3.15.7-200.fc20.x86_64
runlevel:       N 5
type:           Python
uid:            1000

Truncated backtrace:
rpath.py:1016:mkfifo:AssertionError

Traceback (most recent call last):
  File "/usr/bin/rdiff-backup", line 30, in <module>
    rdiff_backup.Main.error_check_Main(sys.argv[1:])
  File "/usr/lib64/python2.7/site-packages/rdiff_backup/Main.py", line 304, in error_check_Main
    try: Main(arglist)
  File "/usr/lib64/python2.7/site-packages/rdiff_backup/Main.py", line 324, in Main
    take_action(rps)
  File "/usr/lib64/python2.7/site-packages/rdiff_backup/Main.py", line 280, in take_action
    elif action == "backup": Backup(rps[0], rps[1])
  File "/usr/lib64/python2.7/site-packages/rdiff_backup/Main.py", line 346, in Backup
    backup.Mirror(rpin, rpout)
  File "/usr/lib64/python2.7/site-packages/rdiff_backup/backup.py", line 38, in Mirror
    DestS.patch(dest_rpath, source_diffiter)
  File "/usr/lib64/python2.7/site-packages/rdiff_backup/backup.py", line 232, in patch
    ITR(diff.index, diff)
  File "/usr/lib64/python2.7/site-packages/rdiff_backup/rorpiter.py", line 281, in __call__
    last_branch.fast_process(*args)
  File "/usr/lib64/python2.7/site-packages/rdiff_backup/backup.py", line 529, in fast_process
    if self.patch_to_temp(mirror_rp, diff_rorp, tf):
  File "/usr/lib64/python2.7/site-packages/rdiff_backup/backup.py", line 553, in patch_to_temp
    result = self.patch_snapshot_to_temp(diff_rorp, new)
  File "/usr/lib64/python2.7/site-packages/rdiff_backup/backup.py", line 577, in patch_snapshot_to_temp
    self.write_special(diff_rorp, new)
  File "/usr/lib64/python2.7/site-packages/rdiff_backup/backup.py", line 617, in write_special
    if robust.check_common_error(eh, rpath.copy, (diff_rorp, new)) == 0:
  File "/usr/lib64/python2.7/site-packages/rdiff_backup/robust.py", line 32, in check_common_error
    try: return function(*args)
  File "/usr/lib64/python2.7/site-packages/rdiff_backup/rpath.py", line 119, in copy
    elif rpin.isfifo(): rpout.mkfifo()
  File "/usr/lib64/python2.7/site-packages/rdiff_backup/rpath.py", line 1016, in mkfifo
    assert self.isfifo()
AssertionError

Local variables in innermost frame:
self: <rdiff_backup.FilenameMapping.QuotedRPath instance at 0x14a56c8>

Comment 1 Joel C 2014-08-02 05:04:43 UTC
Created attachment 923433 [details]
File: backtrace

Comment 2 Joel C 2014-08-02 05:04:44 UTC
Created attachment 923434 [details]
File: environ

Comment 3 Kevin Fenzi 2014-08-02 15:55:05 UTC
If you run with: --exclude-fifos does it complete ok?

It looks like cifs doesn't understand them...

Comment 4 Fedora End Of Life 2015-05-29 12:32:43 UTC
This message is a reminder that Fedora 20 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 20. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '20'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 20 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 5 Fedora End Of Life 2015-06-30 01:06:23 UTC
Fedora 20 changed to end-of-life (EOL) status on 2015-06-23. Fedora 20 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.